import { ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { CollapsibleModel } from './collapsible.model';
export declare class CollapsibleComponent implements CollapsibleModel, OnInit, OnChanges {
    private element;
    private renderer;
    static readonly defaultProps: CollapsibleModel;
    onClickEventEmitter: EventEmitter<boolean>;
    classNameInput: string;
    titleInput: string;
    isOpenInput: boolean;
    className: string;
    isOpen: boolean;
    title: string;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    initValues(): void;
    onResizeWindow(): void;
    onToggle(): void;
    toggleCollapsible(isOpen: boolean): void;
}
